RHS Feedback

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002433AFRF[All Projects] Generalpublic2016-07-13 03:072016-07-19 21:54
ReporterAarnoman 
Assigned ToMistyRonin 
PrioritylowSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.4.1 
Target Version0.4.1.1Fixed in Version0.4.1.1 
Summary0002433: "No entry" [Various, including iteminfo.scope and cfgweapons.burst] warning messages since Arma 1.62 Apex Update
DescriptionSince the Apex update for the main branch of Arma 3, the following two errors have appeared:
1) On startup, on the main menu: "No entry: 'bin\config.bin/CfgWeapons/ItemInfo.scope'."
2) When starting a mission (such as the RHS sample missions): "No entry: 'bin\config.bin/CfgWeapons.burst'."
Steps To ReproduceLoad the RHS mods, start game, wait until main menu loads (for no entry error 1). Start an RHS sample scenario, while loading in will encounter no entry error 2.
Additional InformationGame is still fully playable, it is just annoying. These errors are on Arma 3 1.62. I have not purchased the Apex DLC.
TagsNo tags attached.
Is it a wish/request?No
Arma 3 version1.62
Did you used any other mod when the error occurred?Yes
Which mods?CBA_A3 (version v2.5.0.160711), All RHS mods (4.1) (USFR, GREF, AFRF)
Attached Filespng file icon Capture2.PNG [^] (35,412 bytes) 2016-07-13 03:07


png file icon Capture.PNG [^] (30,625 bytes) 2016-07-13 11:32

- Relationships
has duplicate 0002454closedMistyRonin Missions won't start on dedicated Arma 3 Apex servers with RHS 

-  Notes
(0004886)
LostDaemon (reporter)
2016-07-13 08:47
edited on: 2016-07-13 10:10

Can confirm the issue - faced the same problem. Version 1.62 +APEX DLC, RHS Mods Only.

(0004887)
PetraCephas (reporter)
2016-07-13 09:29

We are getting this message on our dedicated server and it's preventing our mission from loading. If confirmed I think this should have it's severity increased?
(0004888)
Aarnoman (reporter)
2016-07-13 11:20

PetraCephas, my dedicated server with RHS and a bunch of other mods runs fine apart from the warnings, I have not encountered mission load fails. Are you sure it isn't due to the CBA_A3 update? You need to make a dummy 'Arma 3/Userconfig/CBA/settings.sqf' file currently. Please report back if it isn't that, I'll increase the severity of this issue in here if that is the case.
(0004891)
MercerQC (reporter)
2016-07-14 01:40
edited on: 2016-07-14 01:54

Having the same issue on our server. As long as RHS is loaded on the server, when we try to run any mission, has soon has you are suppose to see the map and briefing, it brings you back to the mission selection.
We have the new updated CBA version 3.0.0
So I don't know if it's related to that, but what we know is without RHS everything works fine.
I've tried creating the dummy userconfig\cba/settings.sqf and it doesn't work.
So I'm not sure if it's a compatibility with Apex or CBA, but this ticket should become a priority cause it's impossible to load a mission on a dedicated server right now.

(0004892)
Aarnoman (reporter)
2016-07-14 02:50
edited on: 2016-07-14 02:50

Priority and severity updated based on multiple requests.

(0004900)
MistyRonin (administrator)
2016-07-14 15:53

It's a known issue, BI changed the way configs are set for weapons in the last update.

It's going to be fixed in the next update.
(0004918)
MercerQC (reporter)
2016-07-15 03:40

The status is resolved but we still cannot start a mission with RHS on.
I've use the updater on the server and client side for the 3 different RHS.
(0004919)
Aarnoman (reporter)
2016-07-15 04:03

MercerQC, the update has not been pushed to the public yet.
(0004920)
PetraCephas (reporter)
2016-07-15 04:12

Thank you very much for the quick response and fix. Eagerly awaiting the release of 4.1.1 on the 17th of July (I assume - Roadmap page is saying 17th of May)
May I ask why the Severity was downgraded to trivial? As this issue is preventing our whole clan from playing on our dedicated server until the 4.1.1 release. Effectively bringing our current campaign to a halt. We have no problem waiting and much appreciate your work and efforts. The question is ONLY focused on the method you guys use for determining severity?
(0004921)
Aarnoman (reporter)
2016-07-15 05:19

Petra, I'm fully able to run RHS in multiplayer (tested with some friends and works fine on a dedicated server). Are you sure that it is not caused by another mod? If you could upload a server.rpt log somewhere and link it here I may be able to give you a hand in solving it.
(0004922)
MercerQC (reporter)
2016-07-15 06:08
edited on: 2016-07-15 06:09

Aarnoman It doesn't work on our side. Only when RHS is on that we cannot load mission, our other mods(CBA,ACE,SHACKTACK,CUP TERRAIN,TFAR)it works fine without RHS.

Here is a dropbox link of our .rpt file
https://www.dropbox.com/s/hd7ve3tbearoi68/arma3server_2016-07-14_22-58-43.rpt?dl=0 [^]

I guess we are gonna have to wait for 4.1.1

(0004925)
MistyRonin (administrator)
2016-07-15 15:09
edited on: 2016-07-15 15:11

Gentlemen. I'm afraid you will have to wait until the next RHS update ( 0.4.1.1), as I said before. When it'll be fixed.

There's no deadline for it. But I can guarantee you, that we want to release it as soon as we possible can. Hopefully it'll be a matter of days.

All this issues were originated when BI changed the way weapon configs were set, in the last Arma 3 update (1.62). Make sure to thank them :)

Last but not least, I have been able to play/test these days with MP servers (dedicated and local) with CBA, ACE, CUP Terrains, ALIVE, TFAR, and all the RHS:s without any issues. Hence what prevents the mission to be loaded is most probably not related to those.

(0004929)
PetraCephas (reporter)
2016-07-15 15:51

We will wait. Thank you.
(0004939)
sergonara (reporter)
2016-07-17 23:42

А обновы так и не вышло((((
(0004950)
Armilio (reporter)
2016-07-19 17:51
edited on: 2016-07-19 21:54

We have experienced the same issue. Mostly of the times missions doesn't start at the first run, but in the second yes, sometimes with some bug or delay in the loading, like people without map. A strange thing is that missions made with the old 2D editor starts always at the first attempt, but probably this is BIS magic. A second strange thing is that also the BIS missions have problems. What I can say is that RHS at least is a part of the issue: for my experience big missions with a lot of object and script are more sensitive to this kind of error than littler mission, so it's understandable that symptoms are different from clan to clan, mission to mission, modset to modset.

UPDATE: We run this big MP mission, Arma Tactical Combat, with CBA, RHS, TFR and very few things more, and we experienced also a big framedrop caused by the RHS, probably because an overflow of errors caused by the many RHS objects in the mission. We are sure about that, because removing the RHS vehicles FPSs rises from 29-30 to 50.


- Issue History
Date Modified Username Field Change
2016-07-13 03:07 Aarnoman New Issue
2016-07-13 03:07 Aarnoman File Added: Capture2.PNG
2016-07-13 03:11 Aarnoman Which mods? CBA_A3 (version v2.5.0.160711) => CBA_A3 (version v2.5.0.160711), All RHS mods (4.1) (USFR, GREF, AFRF)
2016-07-13 03:11 Aarnoman Steps to Reproduce Updated View Revisions
2016-07-13 08:47 LostDaemon Note Added: 0004886
2016-07-13 09:29 PetraCephas Note Added: 0004887
2016-07-13 10:09 LostDaemon Note Edited: 0004886 View Revisions
2016-07-13 10:10 LostDaemon Note Edited: 0004886 View Revisions
2016-07-13 11:20 Aarnoman Note Added: 0004888
2016-07-13 11:32 Aarnoman File Added: Capture.PNG
2016-07-14 01:40 MercerQC Note Added: 0004891
2016-07-14 01:54 MercerQC Note Edited: 0004891 View Revisions
2016-07-14 02:49 Aarnoman Priority none => high
2016-07-14 02:49 Aarnoman Severity minor => major
2016-07-14 02:50 Aarnoman Note Added: 0004892
2016-07-14 02:50 Aarnoman Note Edited: 0004892 View Revisions
2016-07-14 15:53 MistyRonin Note Added: 0004900
2016-07-14 15:54 MistyRonin Arma 3 version RC => 1.62
2016-07-14 15:54 MistyRonin Priority high => low
2016-07-14 15:54 MistyRonin Severity major => trivial
2016-07-14 15:54 MistyRonin Resolution open => fixed
2016-07-14 15:54 MistyRonin Product Version => 0.4.1
2016-07-14 15:54 MistyRonin Fixed in Version => 0.4.1.1
2016-07-14 15:54 MistyRonin Target Version => 0.4.1.1
2016-07-14 15:58 MistyRonin Status new => resolved
2016-07-14 15:58 MistyRonin Assigned To => MistyRonin
2016-07-15 03:40 MercerQC Note Added: 0004918
2016-07-15 04:03 Aarnoman Note Added: 0004919
2016-07-15 04:12 PetraCephas Note Added: 0004920
2016-07-15 05:19 Aarnoman Note Added: 0004921
2016-07-15 06:08 MercerQC Note Added: 0004922
2016-07-15 06:09 MercerQC Note Edited: 0004922 View Revisions
2016-07-15 15:09 MistyRonin Note Added: 0004925
2016-07-15 15:11 MistyRonin Note Edited: 0004925 View Revisions
2016-07-15 15:51 PetraCephas Note Added: 0004929
2016-07-17 23:42 sergonara Note Added: 0004939
2016-07-18 14:45 MistyRonin Relationship added has duplicate 0002454
2016-07-19 17:51 Armilio Note Added: 0004950
2016-07-19 21:54 Armilio Note Edited: 0004950 View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker